Name:		algobox
Version:	0.8
Release:	%mkrel 1
Summary:	Algorithmic software
Summary(fr_FR):	Logiciel d'algorithmique
License:	GPLv2
Group:		Education
Url:		http://www.xm1math.net/algobox/
Source:		http://www.xm1math.net/algobox/%{name}-%{version}.tar.bz2
Patch0:		algobox.desktop-change-for-mga.patch

BuildRequires:	qt4-devel >= 4.6.1
BuildRequires:	pkgconfig(QtWebKit)

%description
Algobox is an initiation software to algorithmic to high school level.

%description -l fr_FR
Algobox est un logiciel d'initiation à l'algorithmique au niveau lycée.

%prep
%setup -q
%patch0 -p1

%build
qmake algobox.pro
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp ./utilities/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc ./utilities/{AUTHORS,COPYING,CHANGELOG.txt}
%dir %{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Aug 18 2013 david.david (MLO Team) <david.david> 0.8-1.mga3
+ new version: 0.8
- update Url

* Sun Jul 07 2013 david.david (MLO Team) <david.david> 0.7.2-1.1.mga3
+ Revision: 1.1
- clean spec file
- add Patch0 to change desktop file entry for mga

* Sun May 26 2013 david.david (MLO Team) <david.david> 0.7.2-1.mga3
+ Build package for Mageia 3 (Core)
- imported package algobox
- version: 0.7.2
